* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Montserrat', sans-serif;
  background-color: #f0f0f0;
  color: #333;
  margin:0;
}

.container {
  width: 90%;
  max-width: 1200px;
  margin: 0 auto;
}

.header {
  background-color: #2e8b57;
  color: white;
  padding: 20px 0;
  display: flex;
  justify-content: space-between; 
  align-items: center;  
  height: 35px;
}

.header-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.logo a{
  font-size: 35px;
  font-weight: bold;
  color: white;
  text-decoration: none;
}

.nav {
  display: flex;
}

.nav-list {
  list-style: none;
  display: flex;
  gap: 20px;
  margin-left: auto;
}

.nav-item {
  color: white;
  text-decoration: none;
  font-weight: bold;
  transition: color 0.3s;
  font-size: 15px;
  position: relative
}

.nav-item a {
  color: white;
  text-decoration: none;
  font-weight: bold;
  transition: color 0.3s;
  font-size: 15px;
}

.nav-item a:hover {
  color: #f0f0f0;
}

.hero {
  position: relative;
  height: 400px;
  background: url('../images/forest.jpg') no-repeat center center/cover;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.hero::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.5);
}

.hero-content {
  position: relative;
  color: white;
  z-index: 1;
}

.hero-title {
  font-size: 48px;
  margin-bottom: 20px;
}

.hero-text {
  font-size: 24px;
  margin-bottom: 20px;
}

.categories {
  background-color: #ecf0f1;
  padding: 20px 0;
}

.section-title {
  text-align: center;
  font-size: 32px;
  margin: 40px 0 20px;
}

.categories-list {
  list-style: none;
  display: flex;
  justify-content: center;
  gap: 20px;
}

.categories-item a {
  text-decoration: none;
  font-size: 18px;
  color: #2e8b57;
  font-weight: bold;
}

.goods {
  padding: 40px 0;
}

.goods-grid {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  justify-content: center;
}

.goods-card {
  background-color: white;
  border: 1px solid #ddd;
  border-radius: 8px;
  overflow: hidden;
  width: 300px;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s;
  padding-top: 15px;
  padding-left: 15px;
  padding-right: 15px;
}

.goods-card-img {
  width: 100%;
  height: 200px;
  object-fit: contain;
}

.goods-card-title {
  font-size: 20px;
  margin: 10px 0;
  text-align: center;
}

.goods-card-price {
  font-size: 18px;
  color: #27ae60;
  text-align: center;
  margin-bottom: 10px;
}

.goods-card-descr {
  padding: 0 20px 20px;
  text-align: center;
}

.orders {
  background-color: #ecf0f1;
  padding: 40px 0;
}

.form-group {
  margin-bottom: 20px;
}

label {
  display: block;
  margin-bottom: 5px;
  font-weight: bold;
}

input, select, button {
  width: 100%;
  padding: 10px;
  border: 1px solid #ddd;
  border-radius: 5px;
}

button.btn {
  background-color: #27ae60;
  color: white;
  font-size: 18px;
  border: none;
  transition: background-color 0.3s;
}

button.btn:hover {
  background-color: #219150;
}
.footer {
  background-color: #2e8b57;
  color: white;
  text-align: center;
  padding: 20px 0;
}

.footer p {
  margin: 5px 0;
}

.dropdown {
  display: none;
  position: absolute;
  background-color: white;
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
  top: 100%;
  left: 0;
  min-width: 150px;
  z-index: 1;
}

.dropdown a {
  color: #333;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  white-space: nowrap;
}

.dropdown a:hover {
  background-color: #ddd;
}

.nav-item:hover .dropdown {
  display: block;
}

.btn_buy_goods {
  display: inline-block;
  background-color: #2e8b57;
  color: white;
  border-radius: 5px;
  border: none;
  cursor: pointer;
  transition: background-color 0.3s;
  margin-bottom: 15px;
}

.add-to-cart-btn:hover {
  background-color: #24693d;
} 

@media (min-width: 344px) and (max-width: 767px){
  .header{
    height: auto;
  }
  .header-container {
    flex-direction: column;
    align-items: center;
  }

  .nav-list {
    flex-direction: column;
    gap: 10px;
  }
}



